org.bouncycastle.asn1.x509.qualified

## Class SemanticsInformation

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.qualified.SemanticsInformation

All Implemented Interfaces:
  DEREncodable

    public class SemanticsInformation
    extends ASN1Encodable

The SemanticsInformation object.

           SemanticsInformation ::= SEQUENCE {
             semanticsIdentifier        OBJECT IDENTIFIER   OPTIONAL,
             nameRegistrationAuthorities NameRegistrationAuthorities
                                                             OPTIONAL }
             (WITH COMPONENTS {..., semanticsIdentifier PRESENT}|
              WITH COMPONENTS {..., nameRegistrationAuthorities PRESENT})

         NameRegistrationAuthorities ::=  SEQUENCE SIZE (1..MAX) OF
             GeneralName

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SemanticsInformation(ASN1Sequence seq)`
`SemanticsInformation(DERObjectIdentifier semanticsIdentifier)`
`SemanticsInformation(DERObjectIdentifier semanticsIdentifier, GeneralName[] generalNames)`
`SemanticsInformation(GeneralName[] generalNames)`

### Method Summary

Methods
`static SemanticsInformation` `getInstance(java.lang.Object obj)`
`GeneralName[]` `getNameRegistrationAuthorities()`
`DERObjectIdentifier` `getSemanticsIdentifier()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SemanticsInformation

    public SemanticsInformation(ASN1Sequence seq)

#### SemanticsInformation

    public SemanticsInformation(DERObjectIdentifier semanticsIdentifier,
                        GeneralName[] generalNames)

#### SemanticsInformation

    public SemanticsInformation(DERObjectIdentifier semanticsIdentifier)

#### SemanticsInformation

    public SemanticsInformation(GeneralName[] generalNames)

### Method Detail

#### getInstance

    public static SemanticsInformation getInstance(java.lang.Object obj)

#### getSemanticsIdentifier

    public DERObjectIdentifier getSemanticsIdentifier()

#### getNameRegistrationAuthorities

    public GeneralName[] getNameRegistrationAuthorities()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`